# Pipedrive::Activity

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**subject** | **String** | Subject of the activity | 
**done** | [**NumberBoolean**](NumberBoolean.md) |  | [optional] 
**type** | **String** | Type of the activity. This is in correlation with the key_string parameter of ActivityTypes. | 
**due_date** | **Date** | Due date of the activity. Format: YYYY-MM-DD | [optional] 
**due_time** | **String** | Due time of the activity in UTC. Format: HH:MM | [optional] 
**duration** | **String** | Duration of the activity. Format: HH:MM | [optional] 
**user_id** | **Integer** | ID of the user whom the activity will be assigned to. If omitted, the activity will be assigned to the authorized user. | [optional] 
**deal_id** | **Integer** | ID of the deal this activity will be associated with | [optional] 
**person_id** | **Integer** | ID of the person this activity will be associated with | [optional] 
**participants** | **Array&lt;Object&gt;** | List of multiple persons (participants) this activity will be associated with. If omitted, single participant from person_id field is used. It requires a structure as follows: [{\&quot;person_id\&quot;:1,\&quot;primary_flag\&quot;:true}] | [optional] 
**org_id** | **Integer** | ID of the organization this activity will be associated with | [optional] 
**note** | **String** | Note of the activity (HTML format) | [optional] 
**location** | **String** | The address of the activity. Pipedrive will automatically check if the location matches a geo-location on Google maps. | [optional] 
**public_description** | **String** | Additional details about the activity that will be synced to your external calendar. Unlike the note added to the activity, the description will be publicly visible to any guests added to the activity. | [optional] 
**busy_flag** | **Boolean** | Set the activity as &#39;Busy&#39; or &#39;Free&#39;. If the flag is set to true, your customers will not be able to book that time slot through any Scheduler links. The flag can also be unset by never setting it or overriding it with null. When the value of the flag is unset (null), the flag defaults to &#39;Busy&#39; if it has a time set, and &#39;Free&#39; if it is an all-day event without specified time. | [optional] 
**attendees** | **Array&lt;Object&gt;** | Attendees of the activity. This can be either your existing Pipedrive contacts or an external email address. It requires a structure as follows: [{\&quot;email_address\&quot;:\&quot;mail@example.org\&quot;}] or [{\&quot;person_id\&quot;:1, \&quot;email_address\&quot;:\&quot;mail@example.org\&quot;}] | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::Activity.new(subject: null,
                                 done: null,
                                 type: null,
                                 due_date: null,
                                 due_time: null,
                                 duration: null,
                                 user_id: null,
                                 deal_id: null,
                                 person_id: null,
                                 participants: null,
                                 org_id: null,
                                 note: null,
                                 location: null,
                                 public_description: null,
                                 busy_flag: null,
                                 attendees: null)
```


