# Pipedrive::ActivityFieldsApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**activity_fields_get**](ActivityFieldsApi.md#activity_fields_get) | **GET** /activityFields | Get all fields for an activity



## activity_fields_get

> activity_fields_get

Get all fields for an activity

Return list of all fields for activity

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::ActivityFieldsApi.new

begin
  #Get all fields for an activity
  api_instance.activity_fields_get
rescue Pipedrive::ApiError => e
  puts "Exception when calling ActivityFieldsApi->activity_fields_get: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

