# Pipedrive::BaseDeal

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**stage_id** | **Integer** | The ID of the Deal stage | [optional] 
**title** | **String** | The title of the Deal | [optional] 
**value** | **Float** | The value of the Deal | [optional] 
**currency** | **String** | The currency associated with the Deal | [optional] 
**add_time** | **String** | The creation date and time of the Deal | [optional] 
**update_time** | **String** | The last updated date and time of the Deal | [optional] 
**stage_change_time** | **String** | The last updated date and time of the Deal stage | [optional] 
**active** | **Boolean** | If the Deal is activated or not | [optional] 
**deleted** | **Boolean** | If the Deal is deleted or not | [optional] 
**status** | **String** | The status of the Deal | [optional] 
**probability** | **Float** | The success probability percentage of the Deal | [optional] 
**next_activity_date** | **String** | The date of the next activity associated with the Deal | [optional] 
**next_activity_time** | **String** | The time of the next activity associated with the Deal | [optional] 
**next_activity_id** | **Integer** | The ID of the next activity associated with the Deal | [optional] 
**last_activity_id** | **Integer** | The ID of the last activity associated with the Deal | [optional] 
**last_activity_date** | **String** | The date of the last activity associated with the Deal | [optional] 
**lost_reason** | **String** | The reason for losing the Deal | [optional] 
**visible_to** | **String** | The visibility of the Deal | [optional] 
**close_time** | **String** | The date and time of closing the Deal | [optional] 
**pipeline_id** | **Integer** | The ID of pipeline associated with the Deal | [optional] 
**won_time** | **String** | The date and time of changing the Deal status as won | [optional] 
**first_won_time** | **String** | The date and time of the first time changing the Deal status as won | [optional] 
**lost_time** | **String** | The date and time of changing the Deal status as lost | [optional] 
**products_count** | **Integer** | The number of Products associated with the Deal | [optional] 
**files_count** | **Integer** | The number of Files associated with the Deal | [optional] 
**notes_count** | **Integer** | The number of Notes associated with the Deal | [optional] 
**followers_count** | **Integer** | The number of Followers associated with the Deal | [optional] 
**email_messages_count** | **Integer** | The number of emails associated with the Deal | [optional] 
**activities_count** | **Integer** | The number of Activities associated with the Deal | [optional] 
**done_activities_count** | **Integer** | The number of completed Activities associated with the Deal | [optional] 
**undone_activities_count** | **Integer** | The number of incomplete Activities associated with the Deal | [optional] 
**participants_count** | **Integer** | The number of Participants associated with the Deal | [optional] 
**expected_close_date** | **String** | The expected close date and time of the Deal | [optional] 
**last_incoming_mail_time** | **String** | The date and time of the last incoming email associated with the Deal | [optional] 
**last_outgoing_mail_time** | **String** | The date and time of the last outgoing email associated with the Deal | [optional] 
**label** | **String** | The label assigned to the Deal | [optional] 
**stage_order_nr** | **Integer** | The order number of the Deal stage associated with the Deal | [optional] 
**person_name** | **String** | The name of the Person associated with the Deal | [optional] 
**org_name** | **String** | The name of the Organization associated with the Deal | [optional] 
**next_activity_subject** | **String** | The subject of the next activity associated with the Deal | [optional] 
**next_activity_type** | **String** | The type of the next activity associated with the Deal | [optional] 
**next_activity_duration** | **String** | The duration of the next activity associated with the Deal | [optional] 
**next_activity_note** | **String** | The note of the next activity associated with the Deal | [optional] 
**formatted_value** | **String** | The Deal value formatted with selected currency. E.g. US$500 | [optional] 
**weighted_value** | **Float** | Probability times Deal value. Probability can either be Deal probability or if not set, then stage probability. | [optional] 
**formatted_weighted_value** | **String** | The weighted_value formatted with selected currency. E.g. US$500 | [optional] 
**weighted_value_currency** | **String** | The currency associated with the Deal | [optional] 
**rotten_time** | **String** | The date and time of changing the Deal status as rotten | [optional] 
**owner_name** | **String** | The name of the Deal owner | [optional] 
**cc_email** | **String** | The Cc email of the Deal | [optional] 
**org_hidden** | **Boolean** | If the Organization that is associated with the Deal is hidden or not | [optional] 
**person_hidden** | **Boolean** | If the Person that is associated with the Deal is hidden or not | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::BaseDeal.new(stage_id: null,
                                 title: null,
                                 value: null,
                                 currency: null,
                                 add_time: null,
                                 update_time: null,
                                 stage_change_time: null,
                                 active: null,
                                 deleted: null,
                                 status: null,
                                 probability: null,
                                 next_activity_date: null,
                                 next_activity_time: null,
                                 next_activity_id: null,
                                 last_activity_id: null,
                                 last_activity_date: null,
                                 lost_reason: null,
                                 visible_to: null,
                                 close_time: null,
                                 pipeline_id: null,
                                 won_time: null,
                                 first_won_time: null,
                                 lost_time: null,
                                 products_count: null,
                                 files_count: null,
                                 notes_count: null,
                                 followers_count: null,
                                 email_messages_count: null,
                                 activities_count: null,
                                 done_activities_count: null,
                                 undone_activities_count: null,
                                 participants_count: null,
                                 expected_close_date: null,
                                 last_incoming_mail_time: null,
                                 last_outgoing_mail_time: null,
                                 label: null,
                                 stage_order_nr: null,
                                 person_name: null,
                                 org_name: null,
                                 next_activity_subject: null,
                                 next_activity_type: null,
                                 next_activity_duration: null,
                                 next_activity_note: null,
                                 formatted_value: null,
                                 weighted_value: null,
                                 formatted_weighted_value: null,
                                 weighted_value_currency: null,
                                 rotten_time: null,
                                 owner_name: null,
                                 cc_email: null,
                                 org_hidden: null,
                                 person_hidden: null)
```


