# Pipedrive::BaseMailThreadAllOf

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**parties** | [**BaseMailThreadAllOfParties**](BaseMailThreadAllOfParties.md) |  | [optional] 
**drafts_parties** | **Array&lt;Object&gt;** | Parties of the drafted mail thread | [optional] 
**folders** | **Array&lt;String&gt;** | Folders in which messages from thread are being stored | [optional] 
**version** | **Float** | Version | [optional] 
**snippet_draft** | **String** | A snippet from a draft | [optional] 
**snippet_sent** | **String** | A snippet from a message sent | [optional] 
**message_count** | **Integer** | An amount of messages | [optional] 
**has_draft_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has any drafts | [optional] 
**has_sent_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has messages sent | [optional] 
**archived_flag** | [**NumberBoolean**](NumberBoolean.md) |  | [optional] 
**shared_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is shared | [optional] 
**external_deleted_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has been deleted externally | [optional] 
**first_message_to_me_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread was initialized by others | [optional] 
**last_message_timestamp** | **DateTime** | Last message timestamp | [optional] 
**first_message_timestamp** | **DateTime** | The time when the mail thread has had the first message received or created | [optional] 
**last_message_sent_timestamp** | **DateTime** | The last time when the mail thread has had a message sent | [optional] 
**last_message_received_timestamp** | **DateTime** | The last time when the mail thread has had a message received | [optional] 
**add_time** | **DateTime** | The time when the mail thread was inserted to database | [optional] 
**update_time** | **DateTime** | The time when the mail thread was updated in database received | [optional] 
**deal_id** | **Integer** | ID of the deal | [optional] 
**deal_status** | **String** | Status of the deal | [optional] 
**all_messages_sent_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether all the mail thread messages have been sent | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::BaseMailThreadAllOf.new(parties: null,
                                 drafts_parties: null,
                                 folders: null,
                                 version: null,
                                 snippet_draft: null,
                                 snippet_sent: null,
                                 message_count: null,
                                 has_draft_flag: null,
                                 has_sent_flag: null,
                                 archived_flag: null,
                                 shared_flag: null,
                                 external_deleted_flag: null,
                                 first_message_to_me_flag: null,
                                 last_message_timestamp: null,
                                 first_message_timestamp: null,
                                 last_message_sent_timestamp: null,
                                 last_message_received_timestamp: null,
                                 add_time: null,
                                 update_time: null,
                                 deal_id: null,
                                 deal_status: null,
                                 all_messages_sent_flag: null)
```


