# Pipedrive::BaseMailThreadMessages

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Integer** | ID of the mail thread | [optional] 
**account_id** | **String** | The connection account ID | [optional] 
**user_id** | **Integer** | ID of the user whom mail message will be assigned to | [optional] 
**subject** | **String** | The subject | [optional] 
**snippet** | **String** | A snippet | [optional] 
**read_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is read | [optional] 
**mail_tracking_status** | **String** | Mail tracking status | [optional] 
**has_attachments_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has an attachment | [optional] 
**has_inline_attachments_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has inline attachments | [optional] 
**has_real_attachments_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has real attachments (which are not inline) | [optional] 
**deleted_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is deleted | [optional] 
**synced_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is synced | [optional] 
**smart_bcc_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether one of the parties of the mail thread is Bcc | [optional] 
**mail_link_tracking_enabled_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the link tracking of the mail thread is enabled | [optional] 
**write_flag** | **Boolean** | We strongly advise you to avoid the use of this property. We will soon deprecate this property | [optional] 
**from** | [**Array&lt;MailThreadParticipant&gt;**](MailThreadParticipant.md) | Senders of the mail thread | [optional] 
**to** | [**Array&lt;MailThreadParticipant&gt;**](MailThreadParticipant.md) | Recipients of the mail thread | [optional] 
**cc** | [**Array&lt;MailThreadParticipant&gt;**](MailThreadParticipant.md) | Participants of the Cc | [optional] 
**bcc** | [**Array&lt;MailThreadParticipant&gt;**](MailThreadParticipant.md) | Participants of the Bcc | [optional] 
**body_url** | **String** | A link to the mail thread message | [optional] 
**mail_thread_id** | **Integer** | ID of the mail thread | [optional] 
**draft** | **String** | If the mail message has a draft status then the value is the mail message object as JSON formatted string, otherwise null. | [optional] 
**has_body_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread message has a body | [optional] 
**sent_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread message is sent | [optional] 
**sent_from_pipedrive_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread message is sent from Pipedrive | [optional] 
**message_time** | **DateTime** | The time when the mail message was received or created | [optional] 
**add_time** | **DateTime** | The time when the mail message was inserted to database | [optional] 
**update_time** | **DateTime** | The time when the mail message was updated in database received | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::BaseMailThreadMessages.new(id: null,
                                 account_id: null,
                                 user_id: null,
                                 subject: null,
                                 snippet: null,
                                 read_flag: null,
                                 mail_tracking_status: null,
                                 has_attachments_flag: null,
                                 has_inline_attachments_flag: null,
                                 has_real_attachments_flag: null,
                                 deleted_flag: null,
                                 synced_flag: null,
                                 smart_bcc_flag: null,
                                 mail_link_tracking_enabled_flag: null,
                                 write_flag: null,
                                 from: null,
                                 to: null,
                                 cc: null,
                                 bcc: null,
                                 body_url: null,
                                 mail_thread_id: null,
                                 draft: null,
                                 has_body_flag: null,
                                 sent_flag: null,
                                 sent_from_pipedrive_flag: null,
                                 message_time: null,
                                 add_time: null,
                                 update_time: null)
```


