# Pipedrive::BaseNote

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Integer** | The ID of the Note | [optional] 
**active_flag** | **Boolean** | If Note is active or deleted | [optional] 
**add_time** | **String** | The creation date and time of the Note | [optional] 
**content** | **String** | Content of the Note in HTML format. Subject to sanitization on the back-end. | [optional] 
**deal** | [**BaseNoteDealTitle**](BaseNoteDealTitle.md) |  | [optional] 
**deal_id** | **Integer** | The ID of the Deal the Note is attached to | [optional] 
**last_update_user_id** | **Integer** | The ID of the User who updated the Note last | [optional] 
**org_id** | **Integer** | The ID of the Organization this Note is attached to | [optional] 
**organization** | [**BaseNoteOrganization**](BaseNoteOrganization.md) |  | [optional] 
**person** | [**BaseNotePerson**](BaseNotePerson.md) |  | [optional] 
**person_id** | **Integer** | The ID of the Person this Note is attached to | [optional] 
**pinned_to_deal_flag** | **Boolean** | If true, then the results are filtered by Note to Deal pinning state. | [optional] 
**pinned_to_organization_flag** | **Boolean** | If true, then the results are filtered by Note to Organization pinning state. | [optional] 
**pinned_to_person_flag** | **Boolean** | If true, then the results are filtered by Note to Person pinning state. | [optional] 
**update_time** | **String** | The last updated date and time of the Note | [optional] 
**user** | [**NoteCreatorUser**](NoteCreatorUser.md) |  | [optional] 
**user_id** | **Integer** | The ID of the Note creator | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::BaseNote.new(id: null,
                                 active_flag: null,
                                 add_time: null,
                                 content: null,
                                 deal: null,
                                 deal_id: null,
                                 last_update_user_id: null,
                                 org_id: null,
                                 organization: null,
                                 person: null,
                                 person_id: null,
                                 pinned_to_deal_flag: null,
                                 pinned_to_organization_flag: null,
                                 pinned_to_person_flag: null,
                                 update_time: null,
                                 user: null,
                                 user_id: null)
```


