# Pipedrive::BaseStage

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Integer** | The ID of the Stage | [optional] 
**order_nr** | **Integer** | Defines the order of the Stage | [optional] 
**name** | **String** | The name of the Stage | [optional] 
**active_flag** | **Boolean** | If the Stage is active or deleted | [optional] 
**deal_probability** | **Integer** | The Deal success probability percentage. Used/shown when the Deal weighted values are used. | [optional] 
**pipeline_id** | **Integer** | The ID of the Pipeline to add the Stage to | [optional] 
**rotten_flag** | **Integer** | Whether Deals in this Stage can become rotten | [optional] 
**rotten_days** | **Integer** | The number of days the Deals are not updated in this Stage would become rotten. Applies only if the rotten_flag is set. | [optional] 
**add_time** | **String** | The Stage creation time. Format: YYYY-MM-DD HH:MM:SS. | [optional] 
**update_time** | **String** | The Stage update time. Format: YYYY-MM-DD HH:MM:SS. | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::BaseStage.new(id: null,
                                 order_nr: null,
                                 name: null,
                                 active_flag: null,
                                 deal_probability: null,
                                 pipeline_id: null,
                                 rotten_flag: null,
                                 rotten_days: null,
                                 add_time: null,
                                 update_time: null)
```


