# Pipedrive::BaseUser

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Integer** | The User ID | [optional] 
**name** | **String** | The User name | [optional] 
**default_currency** | **String** | The User default currency | [optional] 
**locale** | **String** | The User locale | [optional] 
**lang** | **Integer** | The User language ID | [optional] 
**email** | **String** | The User email | [optional] 
**phone** | **String** | The User phone | [optional] 
**activated** | **Boolean** | Boolean that indicates if the User is activated | [optional] 
**last_login** | **String** | The User last login date and time. Format: YYYY-MM-DD HH:MM:SS | [optional] 
**created** | **String** | The User creation date and time. Format: YYYY-MM-DD HH:MM:SS | [optional] 
**modified** | **String** | The User last modification date and time. Format: YYYY-MM-DD HH:MM:SS | [optional] 
**signup_flow_variation** | **String** | The variation of signup flow (if exists). E.g. google | [optional] 
**has_created_company** | **Boolean** | Boolean that indicates if the User has created a Company | [optional] 
**is_admin** | [**NumberBoolean**](NumberBoolean.md) | Indication if the User is admin (1 &#x3D; true, 0 &#x3D; false) | [optional] 
**active_flag** | **Boolean** | Boolean that indicates if the User is activated | [optional] 
**timezone_name** | **String** | The User timezone name | [optional] 
**timezone_offset** | **String** | The User timezone offset | [optional] 
**role_id** | **Integer** | The ID of the User role | [optional] 
**icon_url** | **String** | The User icon URL | [optional] 
**is_you** | **Boolean** | Boolean that indicates if the requested User is the same which is logged in (in this case, always true) | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::BaseUser.new(id: null,
                                 name: null,
                                 default_currency: null,
                                 locale: null,
                                 lang: null,
                                 email: null,
                                 phone: null,
                                 activated: null,
                                 last_login: null,
                                 created: null,
                                 modified: null,
                                 signup_flow_variation: null,
                                 has_created_company: null,
                                 is_admin: null,
                                 active_flag: null,
                                 timezone_name: null,
                                 timezone_offset: null,
                                 role_id: null,
                                 icon_url: null,
                                 is_you: null)
```


