# Pipedrive::BasicGoal

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**title** | **String** | Title of the goal. | [optional] 
**assignee** | [**Object**](.md) | Who is this goal assigned to. It requires the following JSON structure: { \&quot;id\&quot;: \&quot;1\&quot;, \&quot;type\&quot;: \&quot;person\&quot; }. &#x60;type&#x60; can be either &#x60;person&#x60;, &#x60;company&#x60; or &#x60;team&#x60;. ID of the assignee person, company or team. | [optional] 
**type** | [**Object**](.md) | Type of the goal. It requires the following JSON structure: { \&quot;name\&quot;: \&quot;deals_started\&quot;, \&quot;params\&quot;: { \&quot;pipeline_id\&quot;: 1 } }. Type can be one of: &#x60;deals_won&#x60;,&#x60;deals_progressed&#x60;,&#x60;activities_completed&#x60;,&#x60;activities_added&#x60; or &#x60;deals_started&#x60;. &#x60;params&#x60; can include &#x60;pipeline_id&#x60;, &#x60;stage_id&#x60; or &#x60;activity_type_id&#x60;. &#x60;stage_id&#x60; is related to only &#x60;deals_progressed&#x60; type of goals and &#x60;activity_type_id&#x60; to &#x60;activities_completed&#x60; or &#x60;activities_added&#x60; types of goals. To track goal in all pipelines set &#x60;pipeline_id&#x60; as &#x60;null&#x60;. | [optional] 
**expected_outcome** | [**Object**](.md) | Expected outcome of the goal. Expected outcome can be tracked either by &#x60;quantity&#x60; or by &#x60;sum&#x60;. It requires the following JSON structure: { \&quot;target\&quot;: \&quot;50\&quot;, \&quot;tracking_metric\&quot;: \&quot;quantity\&quot; } or { \&quot;target\&quot;: \&quot;50\&quot;, \&quot;tracking_metric\&quot;: \&quot;sum\&quot;, \&quot;currency_id\&quot;: 1 }. &#x60;currency_id&#x60; should only be added to &#x60;sum&#x60; type of goals. | [optional] 
**duration** | [**Object**](.md) | Date when the goal starts and ends. It requires the following JSON structure: { \&quot;start\&quot;: \&quot;2019-01-01\&quot;, \&quot;end\&quot;: \&quot;2022-12-31\&quot; }. Date in format of YYYY-MM-DD. | [optional] 
**interval** | **String** | Date when the goal starts and ends. It requires the following JSON structure: { \&quot;start\&quot;: \&quot;2019-01-01\&quot;, \&quot;end\&quot;: \&quot;2022-12-31\&quot; }. Date in format of YYYY-MM-DD. | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::BasicGoal.new(title: null,
                                 assignee: null,
                                 type: null,
                                 expected_outcome: null,
                                 duration: null,
                                 interval: null)
```


