# Pipedrive::CommonMailThread

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Integer** | ID of the mail thread | [optional] 
**account_id** | **String** | The connection account ID | [optional] 
**user_id** | **Integer** | ID of the user whom mail message will be assigned to | [optional] 
**subject** | **String** | The subject | [optional] 
**snippet** | **String** | A snippet | [optional] 
**read_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is read | [optional] 
**mail_tracking_status** | **String** | Mail tracking status | [optional] 
**has_attachments_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has an attachment | [optional] 
**has_inline_attachments_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has inline attachments | [optional] 
**has_real_attachments_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has real attachments (which are not inline) | [optional] 
**deleted_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is deleted | [optional] 
**synced_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is synced | [optional] 
**smart_bcc_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether one of the parties of the mail thread is Bcc | [optional] 
**mail_link_tracking_enabled_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the link tracking of the mail thread is enabled | [optional] 
**write_flag** | **Boolean** | We strongly advise you to avoid the use of this property. We will soon deprecate this property | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::CommonMailThread.new(id: null,
                                 account_id: null,
                                 user_id: null,
                                 subject: null,
                                 snippet: null,
                                 read_flag: null,
                                 mail_tracking_status: null,
                                 has_attachments_flag: null,
                                 has_inline_attachments_flag: null,
                                 has_real_attachments_flag: null,
                                 deleted_flag: null,
                                 synced_flag: null,
                                 smart_bcc_flag: null,
                                 mail_link_tracking_enabled_flag: null,
                                 write_flag: null)
```


