# Pipedrive::CurrenciesApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**currencies_get**](CurrenciesApi.md#currencies_get) | **GET** /currencies | Get all supported currencies



## currencies_get

> Currencies currencies_get(opts)

Get all supported currencies

Returns all supported currencies in given account which should be used when saving monetary values with other objects. The 'code' parameter of the returning objects is the currency code according to ISO 4217 for all non-custom currencies.

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::CurrenciesApi.new
opts = {
  term: 'term_example' # String | Optional search term that is searched for from currency's name and/or code.
}

begin
  #Get all supported currencies
  result = api_instance.currencies_get(opts)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling CurrenciesApi->currencies_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **term** | **String**| Optional search term that is searched for from currency&#39;s name and/or code. | [optional] 

### Return type

[**Currencies**](Currencies.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

