# Pipedrive::FileData

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Integer** | The ID of the File | [optional] 
**user_id** | **Integer** | The ID of the User to associate the File with | [optional] 
**deal_id** | **Integer** | The ID of the Deal to associate the File with | [optional] 
**person_id** | **Integer** | The ID of the Person to associate the File with | [optional] 
**org_id** | **Integer** | The ID of the Organization to associate the File with | [optional] 
**product_id** | **Integer** | The ID of the Product to associate the File with | [optional] 
**activity_id** | **Integer** | The ID of the Activity to associate the File with | [optional] 
**add_time** | **String** | The date and time when the File was added/created. Format: YYYY-MM-DD HH:MM:SS | [optional] 
**update_time** | **String** | The last updated date and time of the File. Format: YYYY-MM-DD HH:MM:SS | [optional] 
**file_name** | **String** | The original name of the File | [optional] 
**file_size** | **String** | The size of the File | [optional] 
**active_flag** | **Boolean** | Whether the User is active or not. false &#x3D; Not activated, true &#x3D; Activated | [optional] 
**inline_flag** | **Boolean** | Whether the File was uploaded as inline or not | [optional] 
**remote_location** | **String** | The location type to send the File to. Only googledrive is supported at the moment. | [optional] 
**remote_id** | **String** | The ID of the remote item | [optional] 
**cid** | **String** | The ID of the inline attachment | [optional] 
**s3_bucket** | **String** | The location of the cloud storage | [optional] 
**mail_message_id** | **String** | The ID of the mail message to associate the File with | [optional] 
**mail_template_id** | **String** | The ID of the mail template to associate the File with | [optional] 
**deal_name** | **String** | The name of the Deal associated with the File | [optional] 
**person_name** | **String** | The name of the Person associated with the File | [optional] 
**org_name** | **String** | The name of the Organization associated with the File | [optional] 
**product_name** | **String** | The name of the Product associated with the File | [optional] 
**url** | **String** | The URL of the download File | [optional] 
**name** | **String** | The visible name of the File | [optional] 
**description** | **String** | The description of the File | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::FileData.new(id: null,
                                 user_id: null,
                                 deal_id: null,
                                 person_id: null,
                                 org_id: null,
                                 product_id: null,
                                 activity_id: null,
                                 add_time: null,
                                 update_time: null,
                                 file_name: null,
                                 file_size: null,
                                 active_flag: null,
                                 inline_flag: null,
                                 remote_location: null,
                                 remote_id: null,
                                 cid: null,
                                 s3_bucket: null,
                                 mail_message_id: null,
                                 mail_template_id: null,
                                 deal_name: null,
                                 person_name: null,
                                 org_name: null,
                                 product_name: null,
                                 url: null,
                                 name: null,
                                 description: null)
```


