# Pipedrive::GlobalMessagesApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**global_messages_get**](GlobalMessagesApi.md#global_messages_get) | **GET** /globalMessages | Get global messages
[**global_messages_id_delete**](GlobalMessagesApi.md#global_messages_id_delete) | **DELETE** /globalMessages/{id} | Dismiss a global message



## global_messages_get

> GlobalMessageGet global_messages_get(opts)

Get global messages

Returns data about global messages to display for the authorized user.

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'
end

api_instance = Pipedrive::GlobalMessagesApi.new
opts = {
  limit: 1 # Integer | Number of messages to get from 1 to 100. The message number 1 is returned by default.
}

begin
  #Get global messages
  result = api_instance.global_messages_get(opts)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling GlobalMessagesApi->global_messages_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of messages to get from 1 to 100. The message number 1 is returned by default. | [optional] [default to 1]

### Return type

[**GlobalMessageGet**](GlobalMessageGet.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## global_messages_id_delete

> GlobalMessageDelete global_messages_id_delete(id)

Dismiss a global message

Removes global message from being shown, if message is dismissible

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'
end

api_instance = Pipedrive::GlobalMessagesApi.new
id = 56 # Integer | ID of global message to be dismissed.

begin
  #Dismiss a global message
  result = api_instance.global_messages_id_delete(id)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling GlobalMessagesApi->global_messages_id_delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**| ID of global message to be dismissed. | 

### Return type

[**GlobalMessageDelete**](GlobalMessageDelete.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

