# Pipedrive::InlineObject14

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**title** | **String** | The name of the Lead | 
**owner_id** | **Integer** | The ID of the User which will be the owner of the created Lead. If not provided, the user making the request will be used. | [optional] 
**note** | **String** | The Lead note. Can contain some allowed HTML tags. | [optional] 
**label_ids** | **Array&lt;String&gt;** | The IDs of the Lead Labels which will be associated with the Lead | [optional] 
**person_id** | **Integer** | The ID of a Person which this Lead will be linked to. If the Person does not exist yet, it needs to be created first. This property is required unless &#x60;organization_id&#x60; is specified. | [optional] 
**organization_id** | **Integer** | The ID of an Organization which this Lead will be linked to. If the Organization does not exist yet, it needs to be created first. This property is required unless &#x60;person_id&#x60; is specified. | [optional] 
**value** | [**LeadsValue**](LeadsValue.md) |  | [optional] 
**expected_close_date** | **String** | The date of when the Deal which will be created from the Lead is expected to be closed. In ISO 8601 format: YYYY-MM-DD. | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::InlineObject14.new(title: null,
                                 owner_id: null,
                                 note: null,
                                 label_ids: null,
                                 person_id: null,
                                 organization_id: null,
                                 value: null,
                                 expected_close_date: null)
```


