# Pipedrive::InlineObject2

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**user_id** | **Integer** | The ID of the owner of the call log | [optional] 
**activity_id** | **Integer** | If specified, this activity will be converted into a call log, with the information provided. When this field is used, you don&#39;t need to specify deal_id, person_id or org_id, as they will be ignored in favor of the values already available in the activity. | [optional] 
**subject** | **String** | A title for the log object. If not provided, an automatic subject will be generated. | [optional] 
**from_phone_number** | **String** | The number that made the call | [optional] 
**to_phone_number** | **String** | The number called | 
**outcome** | **String** | Describes the outcome of the call | 
**start_time** | **Date** | The date and time of the start of the call in UTC. Format: YYYY-MM-DD HH:MM:SS. | 
**end_time** | **Date** | The date and time of the end of the call in UTC. Format: YYYY-MM-DD HH:MM:SS. | 
**person_id** | **Integer** | When not available, you need to specify at least the org_id or the deal_id parameter | [optional] 
**org_id** | **Integer** | When not available, you need to specify at least the person_id or the deal_id parameter | [optional] 
**deal_id** | **Integer** | When not available, you need to specify at least the person_id or the org_id parameter | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::InlineObject2.new(user_id: 1,
                                 activity_id: 1,
                                 subject: Call,
                                 from_phone_number: +37255550101,
                                 to_phone_number: +37255550101,
                                 outcome: connected,
                                 start_time: null,
                                 end_time: null,
                                 person_id: 1,
                                 org_id: 1,
                                 deal_id: 1)
```


