# Pipedrive::InlineObject33

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**subscription_url** | **String** | A full, valid, publicly accessible URL. Determines where to send the notifications. Please note that you cannot use Pipedrive API endpoints as the subscription_url. | 
**event_action** | **String** | Type of action to receive notifications about. Wildcard will match all supported actions. | 
**event_object** | **String** | Type of object to receive notifications about. Wildcard will match all supported objects. | 
**user_id** | **Integer** | The ID of the user this webhook will be authorized with. If not set, current authorized user will be used. Note that this does not filter only certain user&#39;s events — rather, this specifies the user&#39;s permissions under which each event is checked. Events about objects the selected user is not entitled to access are not sent. If you want to receive notifications for all events, a top-level admin user should be used. | [optional] 
**http_auth_user** | **String** | HTTP basic auth username of the subscription URL endpoint (if required). | [optional] 
**http_auth_password** | **String** | HTTP basic auth password of the subscription URL endpoint (if required). | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::InlineObject33.new(subscription_url: null,
                                 event_action: null,
                                 event_object: null,
                                 user_id: null,
                                 http_auth_user: null,
                                 http_auth_password: null)
```


