# Pipedrive::InlineResponse201Data

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The unique ID of the Lead in the UUID format | [optional] 
**title** | **String** | The title of the Lead | [optional] 
**owner_id** | **Integer** | The ID of the User who owns the Lead | [optional] 
**creator_id** | **Integer** | The ID of the User who created the Lead | [optional] 
**note** | **String** | The Lead note. Can contain some allowed HTML tags. | [optional] 
**label_ids** | **Array&lt;String&gt;** | The IDs of the Lead Labels which are associated with the Lead | [optional] 
**person_id** | **Integer** | The ID of a Person which this Lead is linked to | [optional] 
**organization_id** | **Integer** | The ID of an Organization which this Lead is linked to | [optional] 
**source_name** | **String** | Defines where the Lead comes from. Will be &#x60;API&#x60; if the Lead was created through the Public API and will be empty string if the Lead was created manually through the UI.  | [optional] 
**is_archived** | **Boolean** | A flag indicating whether the Lead is archived or not | [optional] 
**was_seen** | **Boolean** | A flag indicating whether the Lead was seen by someone in the Pipedrive UI | [optional] 
**value** | **Object** |  | [optional] 
**expected_close_date** | **String** | The date of when the Deal which will be created from the Lead is expected to be closed. In ISO 8601 format: YYYY-MM-DD. | [optional] 
**next_activity_id** | **Integer** | The ID of the next activity associated with the Lead | [optional] 
**add_time** | **DateTime** | The date and time of when the Lead was created. In ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ. | [optional] 
**update_time** | **DateTime** | The date and time of when the Lead was last updated. In ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ. | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::InlineResponse201Data.new(id: null,
                                 title: null,
                                 owner_id: null,
                                 creator_id: null,
                                 note: null,
                                 label_ids: null,
                                 person_id: null,
                                 organization_id: null,
                                 source_name: null,
                                 is_archived: null,
                                 was_seen: null,
                                 value: null,
                                 expected_close_date: null,
                                 next_activity_id: null,
                                 add_time: null,
                                 update_time: null)
```


