# Pipedrive::LeadsApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**lead_labels_get**](LeadsApi.md#lead_labels_get) | **GET** /leadLabels | Get all lead labels
[**lead_labels_id_delete**](LeadsApi.md#lead_labels_id_delete) | **DELETE** /leadLabels/{id} | Delete a lead label
[**lead_labels_id_get**](LeadsApi.md#lead_labels_id_get) | **GET** /leadLabels/{id} | Get one lead label
[**lead_labels_id_patch**](LeadsApi.md#lead_labels_id_patch) | **PATCH** /leadLabels/{id} | Update a lead label
[**lead_labels_post**](LeadsApi.md#lead_labels_post) | **POST** /leadLabels | Add a lead label
[**lead_sources_get**](LeadsApi.md#lead_sources_get) | **GET** /leadSources | Get all lead sources
[**leads_get**](LeadsApi.md#leads_get) | **GET** /leads | Get all leads
[**leads_id_delete**](LeadsApi.md#leads_id_delete) | **DELETE** /leads/{id} | Delete a lead
[**leads_id_get**](LeadsApi.md#leads_id_get) | **GET** /leads/{id} | Get one lead
[**leads_id_patch**](LeadsApi.md#leads_id_patch) | **PATCH** /leads/{id} | Update a lead
[**leads_post**](LeadsApi.md#leads_post) | **POST** /leads | Add a lead



## lead_labels_get

> InlineResponse2006 lead_labels_get

Get all lead labels

Returns details of all Lead Labels. This endpoint does not support pagination and all Labels are always returned.

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new

begin
  #Get all lead labels
  result = api_instance.lead_labels_get
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->lead_labels_get: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**InlineResponse2006**](InlineResponse2006.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## lead_labels_id_delete

> lead_labels_id_delete(id)

Delete a lead label

Deletes a specific Lead Label

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
id = 'id_example' # String | The ID of the Lead Label

begin
  #Delete a lead label
  api_instance.lead_labels_id_delete(id)
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->lead_labels_id_delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | [**String**](.md)| The ID of the Lead Label | 

### Return type

nil (empty response body)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## lead_labels_id_get

> lead_labels_id_get(id)

Get one lead label

Returns details of a specific Lead Label

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
id = 'id_example' # String | The ID of the Lead Label

begin
  #Get one lead label
  api_instance.lead_labels_id_get(id)
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->lead_labels_id_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | [**String**](.md)| The ID of the Lead Label | 

### Return type

nil (empty response body)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## lead_labels_id_patch

> lead_labels_id_patch(id, opts)

Update a lead label

Updates one or more properties of a Lead Label. Only properties included in the request will be updated. 

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
id = 'id_example' # String | The ID of the Lead Label
opts = {
  inline_object17: Pipedrive::InlineObject17.new # InlineObject17 | 
}

begin
  #Update a lead label
  api_instance.lead_labels_id_patch(id, opts)
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->lead_labels_id_patch: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | [**String**](.md)| The ID of the Lead Label | 
 **inline_object17** | [**InlineObject17**](InlineObject17.md)|  | [optional] 

### Return type

nil (empty response body)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## lead_labels_post

> InlineResponse2007 lead_labels_post(opts)

Add a lead label

Creates a Lead Label

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
opts = {
  inline_object16: Pipedrive::InlineObject16.new # InlineObject16 | 
}

begin
  #Add a lead label
  result = api_instance.lead_labels_post(opts)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->lead_labels_post: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **inline_object16** | [**InlineObject16**](InlineObject16.md)|  | [optional] 

### Return type

[**InlineResponse2007**](InlineResponse2007.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## lead_sources_get

> InlineResponse2008 lead_sources_get

Get all lead sources

Returns all Lead Sources. Please note that the list of Lead Sources is fixed, it cannot be modified. All Leads created through the Public Pipedrive API will have a Lead Source `API` assigned. 

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new

begin
  #Get all lead sources
  result = api_instance.lead_sources_get
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->lead_sources_get: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**InlineResponse2008**](InlineResponse2008.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## leads_get

> InlineResponse2004 leads_get(opts)

Get all leads

Returns multiple Leads. Leads are sorted by the time they were created, from oldest to newest. Pagination can be controlled using `limit` and `start` query parameters. 

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
opts = {
  limit: 100, # Integer | For pagination, the limit of entries to be returned. If not provided, 100 items will be returned.
  start: 0, # Integer | For pagination, the position that represents the first result for the page
  archived_status: 'archived_status_example' # String | Filtering based on archived status of a Lead. If not provided, `All` is used.
}

begin
  #Get all leads
  result = api_instance.leads_get(opts)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->leads_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. | [optional] 
 **start** | **Integer**| For pagination, the position that represents the first result for the page | [optional] 
 **archived_status** | **String**| Filtering based on archived status of a Lead. If not provided, &#x60;All&#x60; is used. | [optional] 

### Return type

[**InlineResponse2004**](InlineResponse2004.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## leads_id_delete

> InlineResponse2005 leads_id_delete(id)

Delete a lead

Deletes a specific Lead

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
id = 'id_example' # String | The ID of the Lead

begin
  #Delete a lead
  result = api_instance.leads_id_delete(id)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->leads_id_delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | [**String**](.md)| The ID of the Lead | 

### Return type

[**InlineResponse2005**](InlineResponse2005.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## leads_id_get

> leads_id_get(id)

Get one lead

Returns details of a specific Lead

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
id = 'id_example' # String | The ID of the Lead

begin
  #Get one lead
  api_instance.leads_id_get(id)
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->leads_id_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | [**String**](.md)| The ID of the Lead | 

### Return type

nil (empty response body)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## leads_id_patch

> leads_id_patch(id, opts)

Update a lead

Updates one or more properties of a Lead. Only properties included in the request will be updated. Send `null` to unset a property (applicable for example for `value`, `person_id` or `organization_id`). 

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
id = 'id_example' # String | The ID of the Lead
opts = {
  inline_object15: Pipedrive::InlineObject15.new # InlineObject15 | 
}

begin
  #Update a lead
  api_instance.leads_id_patch(id, opts)
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->leads_id_patch: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | [**String**](.md)| The ID of the Lead | 
 **inline_object15** | [**InlineObject15**](InlineObject15.md)|  | [optional] 

### Return type

nil (empty response body)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: Not defined


## leads_post

> InlineResponse201 leads_post(opts)

Add a lead

Creates a Lead. A Lead always has to be linked to a Person or an Organization or both. All Leads created through the Public Pipedrive API will have a Lead Source `API` assigned. 

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::LeadsApi.new
opts = {
  inline_object14: Pipedrive::InlineObject14.new # InlineObject14 | 
}

begin
  #Add a lead
  result = api_instance.leads_post(opts)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling LeadsApi->leads_post: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **inline_object14** | [**InlineObject14**](InlineObject14.md)|  | [optional] 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

