# Pipedrive::MailMessagesApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mailbox_mail_messages_id_get**](MailMessagesApi.md#mailbox_mail_messages_id_get) | **GET** /mailbox/mailMessages/{id} | Get one mail message



## mailbox_mail_messages_id_get

> MailMessage mailbox_mail_messages_id_get(id, opts)

Get one mail message

Returns data about specific mail message.

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::MailMessagesApi.new
id = 56 # Integer | ID of the mail message to fetch.
opts = {
  include_body: Pipedrive::NumberBooleanDefault0.new # NumberBooleanDefault0 | Whether to include full message body or not. 0 = Don't include, 1 = Include
}

begin
  #Get one mail message
  result = api_instance.mailbox_mail_messages_id_get(id, opts)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling MailMessagesApi->mailbox_mail_messages_id_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**| ID of the mail message to fetch. | 
 **include_body** | [**NumberBooleanDefault0**](.md)| Whether to include full message body or not. 0 &#x3D; Don&#39;t include, 1 &#x3D; Include | [optional] 

### Return type

[**MailMessage**](MailMessage.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

