# Pipedrive::NewDealProduct

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**item_price** | **Float** | Price at which this product will be added to the deal | 
**quantity** | **Integer** | Quantity – e.g. how many items of this product will be added to the deal | 
**discount_percentage** | **Float** | Discount %. If omitted, will be set to 0 | [optional] [default to 0]
**duration** | **Float** | Duration of the product (when product durations are not enabled for the company or if omitted, defaults to 1) | [optional] [default to 1]
**product_variation_id** | **Integer** | ID of the product variation to use. When omitted, no variation will be used. | [optional] 
**comments** | **String** | Any textual comment associated with this product-deal attachment. Visible and editable in the application UI. | [optional] 
**enabled_flag** | [**NumberBoolean**](NumberBoolean.md) | Whether the product is enabled on the deal or not. This makes it possible to add products to a deal with specific price and discount criteria - but keep them disabled, which refrains them from being included in deal price calculation. When omitted, the product will be marked as enabled by default. | [optional] 
**product_id** | **Integer** | ID of the product that will be attached | 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::NewDealProduct.new(item_price: null,
                                 quantity: null,
                                 discount_percentage: null,
                                 duration: null,
                                 product_variation_id: null,
                                 comments: null,
                                 enabled_flag: null,
                                 product_id: null)
```


