# Pipedrive::Note

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**content** | **String** | Content of the note in HTML format. Subject to sanitization on the back-end. | 
**user_id** | **Integer** | ID of the user who will be marked as the author of this note. Only an admin can change the author. | [optional] 
**deal_id** | **Integer** | ID of the deal the note will be attached to. | [optional] 
**person_id** | **Integer** | ID of the person this note will be attached to. | [optional] 
**org_id** | **Integer** | ID of the organization this note will be attached to. | [optional] 
**add_time** | **String** | Optional creation date &amp; time of the Note in UTC. Can be set in the past or in the future. Requires admin user API token. Format: YYYY-MM-DD HH:MM:SS | [optional] 
**pinned_to_deal_flag** | [**NumberBoolean**](NumberBoolean.md) | If set, then results are filtered by note to deal pinning state (deal_id is also required). | [optional] 
**pinned_to_organization_flag** | [**NumberBoolean**](NumberBoolean.md) | If set, then results are filtered by note to organization pinning state (org_id is also required). | [optional] 
**pinned_to_person_flag** | [**NumberBoolean**](NumberBoolean.md) | If set, then results are filtered by note to person pinning state (person_id is also required). | [optional] 

## Code Sample

```ruby
require 'Pipedrive'

instance = Pipedrive::Note.new(content: null,
                                 user_id: null,
                                 deal_id: null,
                                 person_id: null,
                                 org_id: null,
                                 add_time: null,
                                 pinned_to_deal_flag: null,
                                 pinned_to_organization_flag: null,
                                 pinned_to_person_flag: null)
```


