# Pipedrive::PermissionSetsApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**permission_sets_get**](PermissionSetsApi.md#permission_sets_get) | **GET** /permissionSets | Get all Permission Sets
[**permission_sets_id_assignments_get**](PermissionSetsApi.md#permission_sets_id_assignments_get) | **GET** /permissionSets/{id}/assignments | List Permission Set assignments
[**permission_sets_id_get**](PermissionSetsApi.md#permission_sets_id_get) | **GET** /permissionSets/{id} | Get one Permission Set



## permission_sets_get

> PermissionSets permission_sets_get

Get all Permission Sets

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'
end

api_instance = Pipedrive::PermissionSetsApi.new

begin
  #Get all Permission Sets
  result = api_instance.permission_sets_get
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling PermissionSetsApi->permission_sets_get: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**PermissionSets**](PermissionSets.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## permission_sets_id_assignments_get

> UserAssignmentsToPermissionSet permission_sets_id_assignments_get(id, opts)

List Permission Set assignments

The list of assignments for a Permission Set

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'
end

api_instance = Pipedrive::PermissionSetsApi.new
id = 56 # Integer | ID of the permission set
opts = {
  start: 0, # Integer | Pagination start
  limit: 56 # Integer | Items shown per page
}

begin
  #List Permission Set assignments
  result = api_instance.permission_sets_id_assignments_get(id, opts)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling PermissionSetsApi->permission_sets_id_assignments_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**| ID of the permission set | 
 **start** | **Integer**| Pagination start | [optional] [default to 0]
 **limit** | **Integer**| Items shown per page | [optional] 

### Return type

[**UserAssignmentsToPermissionSet**](UserAssignmentsToPermissionSet.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## permission_sets_id_get

> SinglePermissionSetsItem permission_sets_id_get(id)

Get one Permission Set

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'
end

api_instance = Pipedrive::PermissionSetsApi.new
id = 56 # Integer | ID of the permission set

begin
  #Get one Permission Set
  result = api_instance.permission_sets_id_get(id)
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling PermissionSetsApi->permission_sets_id_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**| ID of the permission set | 

### Return type

[**SinglePermissionSetsItem**](SinglePermissionSetsItem.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

