# Pipedrive::RecentsApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**recents_get**](RecentsApi.md#recents_get) | **GET** /recents | Get recents



## recents_get

> recents_get(since_timestamp, opts)

Get recents

Returns data about all recent changes occured after given timestamp.

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::RecentsApi.new
since_timestamp = 'since_timestamp_example' # String | Timestamp in UTC. Format: YYYY-MM-DD HH:MM:SS
opts = {
  items: 'items_example', # String | Multiple selection of item types to include in query (optional)
  start: 0, # Integer | Pagination start
  limit: 56 # Integer | Items shown per page
}

begin
  #Get recents
  api_instance.recents_get(since_timestamp, opts)
rescue Pipedrive::ApiError => e
  puts "Exception when calling RecentsApi->recents_get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **since_timestamp** | **String**| Timestamp in UTC. Format: YYYY-MM-DD HH:MM:SS | 
 **items** | **String**| Multiple selection of item types to include in query (optional) | [optional] 
 **start** | **Integer**| Pagination start | [optional] [default to 0]
 **limit** | **Integer**| Items shown per page | [optional] 

### Return type

nil (empty response body)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

