# Pipedrive::UserConnectionsApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**user_connections_get**](UserConnectionsApi.md#user_connections_get) | **GET** /userConnections | Get all user connections



## user_connections_get

> UserConnections user_connections_get

Get all user connections

Returns data about all connections for authorized user.

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::UserConnectionsApi.new

begin
  #Get all user connections
  result = api_instance.user_connections_get
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling UserConnectionsApi->user_connections_get: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**UserConnections**](UserConnections.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

