# Pipedrive::UserSettingsApi

All URIs are relative to *https://api.pipedrive.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**user_settings_get**](UserSettingsApi.md#user_settings_get) | **GET** /userSettings | List settings of an authorized user



## user_settings_get

> UserSettings user_settings_get

List settings of an authorized user

List settings of an authorized user. Example response contains a shortened list of settings.

### Example

```ruby
# load the gem
require 'pipedrive-openapi-client'
# setup authorization
Pipedrive.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['api_token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['api_token'] = 'Bearer'

  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = Pipedrive::UserSettingsApi.new

begin
  #List settings of an authorized user
  result = api_instance.user_settings_get
  p result
rescue Pipedrive::ApiError => e
  puts "Exception when calling UserSettingsApi->user_settings_get: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**UserSettings**](UserSettings.md)

### Authorization

[api_key](../README.md#api_key), [oauth2](../README.md#oauth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

