=begin
#Pipedrive API v1

#No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The version of the OpenAPI document: 1.0.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Pipedrive::GoalsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'GoalsApi' do
  before do
    # run before each test
    @api_instance = Pipedrive::GoalsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of GoalsApi' do
    it 'should create an instance of GoalsApi' do
      expect(@api_instance).to be_instance_of(Pipedrive::GoalsApi)
    end
  end

  # unit tests for goals_find_get
  # Find goals
  # Returns data about goals based on criteria. For searching, append &#x60;{searchField}&#x3D;{searchValue}&#x60; to the URL, where &#x60;searchField&#x60; can be any one of the lowest-level fields in dot-notation (e.g. &#x60;type.params.pipeline_id&#x60;; &#x60;title&#x60;). &#x60;searchValue&#x60; should be the value you are looking for on that field. Additionally, &#x60;is_active&#x3D;&lt;true|false&gt;&#x60; can be provided to search for only active/inactive goals. When providing &#x60;period.start&#x60;, &#x60;period.end&#x60; must also be provided and vice versa.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :type_name Type of the goal. If provided, everyone&#39;s goals will be returned.
  # @option opts [String] :title Title of the goal.
  # @option opts [Boolean] :is_active Whether goal is active or not.
  # @option opts [Integer] :assignee_id ID of the user who&#39;s goal to fetch. When omitted, only your goals will be returned.
  # @option opts [String] :assignee_type Type of the goal&#39;s assignee. If provided, everyone&#39;s goals will be returned.
  # @option opts [Float] :expected_outcome_target Numeric value of the outcome. If provided, everyone&#39;s goals will be returned.
  # @option opts [String] :expected_outcome_tracking_metric Tracking metric of the expected outcome of the goal. If provided, everyone&#39;s goals will be returned.
  # @option opts [Integer] :expected_outcome_currency_id Numeric ID of the goal&#39;s currency. Only applicable to goals with &#x60;expected_outcome.tracking_metric&#x60; with value &#x60;sum&#x60;. If provided, everyone&#39;s goals will be returned.
  # @option opts [Integer] :type_params_pipeline_id ID of the pipeline or &#x60;null&#x60; for all pipelines. If provided, everyone&#39;s goals will be returned.
  # @option opts [Integer] :type_params_stage_id ID of the stage. Applicable to only &#x60;deals_progressed&#x60; type of goals. If provided, everyone&#39;s goals will be returned.
  # @option opts [Integer] :type_params_activity_type_id ID of the activity type. Applicable to only &#x60;activities_completed&#x60; or &#x60;activities_added&#x60; types of goals. If provided, everyone&#39;s goals will be returned.
  # @option opts [Date] :period_start Start date of the period for which to find goals. Date in format of YYYY-MM-DD. When &#x60;period.start&#x60; is provided, &#x60;period.end&#x60; must be provided too.
  # @option opts [Date] :period_end End date of the period for which to find goals. Date in format of YYYY-MM-DD.
  # @return [nil]
  describe 'goals_find_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for goals_id_delete
  # Delete existing goal
  # Marks goal as deleted.
  # @param id ID of the goal to be deleted.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'goals_id_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for goals_id_put
  # Update existing goal
  # Updates existing goal.
  # @param id ID of the goal to be updated.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :title Title of the goal.
  # @option opts [Object] :assignee Who is this goal assigned to. It requires the following JSON structure: { \\\&quot;id\\\&quot;: \\\&quot;1\\\&quot;, \\\&quot;type\\\&quot;: \\\&quot;person\\\&quot; }. &#x60;type&#x60; can be either &#x60;person&#x60;, &#x60;company&#x60; or &#x60;team&#x60;. ID of the assignee person, company or team.
  # @option opts [Object] :type Type of the goal. It requires the following JSON structure: { \\\&quot;name\\\&quot;: \\\&quot;deals_started\\\&quot;, \\\&quot;params\\\&quot;: { \\\&quot;pipeline_id\\\&quot;: 1 } }. Type can be one of: &#x60;deals_won&#x60;,&#x60;deals_progressed&#x60;,&#x60;activities_completed&#x60;,&#x60;activities_added&#x60; or &#x60;deals_started&#x60;. &#x60;params&#x60; can include &#x60;pipeline_id&#x60;, &#x60;stage_id&#x60; or &#x60;activity_type_id&#x60;. &#x60;stage_id&#x60; is related to only &#x60;deals_progressed&#x60; type of goals and &#x60;activity_type_id&#x60; to &#x60;activities_completed&#x60; or &#x60;activities_added&#x60; types of goals. To track goal in all pipelines set &#x60;pipeline_id&#x60; as &#x60;null&#x60;.
  # @option opts [Object] :expected_outcome Expected outcome of the goal. Expected outcome can be tracked either by &#x60;quantity&#x60; or by &#x60;sum&#x60;. It requires the following JSON structure: { \\\&quot;target\\\&quot;: \\\&quot;50\\\&quot;, \\\&quot;tracking_metric\\\&quot;: \\\&quot;quantity\\\&quot; } or { \\\&quot;target\\\&quot;: \\\&quot;50\\\&quot;, \\\&quot;tracking_metric\\\&quot;: \\\&quot;sum\\\&quot;, \\\&quot;currency_id\\\&quot;: 1 }. &#x60;currency_id&#x60; should only be added to &#x60;sum&#x60; type of goals.
  # @option opts [Object] :duration Date when the goal starts and ends. It requires the following JSON structure: { \\\&quot;start\\\&quot;: \\\&quot;2019-01-01\\\&quot;, \\\&quot;end\\\&quot;: \\\&quot;2022-12-31\\\&quot; }. Date in format of YYYY-MM-DD.
  # @option opts [String] :interval Date when the goal starts and ends. It requires the following JSON structure: { \\\&quot;start\\\&quot;: \\\&quot;2019-01-01\\\&quot;, \\\&quot;end\\\&quot;: \\\&quot;2022-12-31\\\&quot; }. Date in format of YYYY-MM-DD.
  # @return [nil]
  describe 'goals_id_put test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for goals_id_results_get
  # Get result of a goal
  # Gets progress of a goal for specified period.
  # @param id ID of the goal that the results are looked for.
  # @param period_start Start date of the period for which to find progress of a goal. Date in format of YYYY-MM-DD.
  # @param period_end End date of the period for which to find progress of a goal. Date in format of YYYY-MM-DD.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'goals_id_results_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for goals_post
  # Add a new goal
  # Adds a new goal.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'goals_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
