=begin
#Pipedrive API v1

#No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The version of the OpenAPI document: 1.0.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Pipedrive::ItemSearchApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ItemSearchApi' do
  before do
    # run before each test
    @api_instance = Pipedrive::ItemSearchApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ItemSearchApi' do
    it 'should create an instance of ItemSearchApi' do
      expect(@api_instance).to be_instance_of(Pipedrive::ItemSearchApi)
    end
  end

  # unit tests for item_search_field_get
  # Perform a search using a specific field from an item type
  # Performs a search from the values of a specific field. Results can either be the distinct values of the field (useful for searching autocomplete field values), or the IDs of actual items (Deals, Persons, Organizations or Products).
  # @param term The search term to look for. Minimum 2 characters (or 1 if using exact_match).
  # @param field_type The type of the field to perform the search from
  # @param field_key The key of the field to search from. The field key can be obtained by fetching the list of the fields using any of the fields&#39; API GET methods (dealFields, personFields, etc.).
  # @param [Hash] opts the optional parameters
  # @option opts [Boolean] :exact_match When enabled, only full exact matches against the given term are returned. The search &lt;b&gt;is&lt;/b&gt; case sensitive.
  # @option opts [Boolean] :return_item_ids Whether to return the IDs of the matching items or not. When not set or set to 0 or false, only distinct values of the searched field are returned. When set to 1 or true, the ID of each found item is returned.
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @return [BaseResponse]
  describe 'item_search_field_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for item_search_get
  # Perform a search from multiple item types
  # Performs a search from your choice of item types and fields.
  # @param term The search term to look for. Minimum 2 characters (or 1 if using exact_match).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :item_types A comma-separated string array. The type of items to perform the search from. Defaults to all.
  # @option opts [String] :fields A comma-separated string array. The fields to perform the search from. Defaults to all. Relevant for each item type are:&lt;br&gt; &lt;table&gt; &lt;tr&gt;&lt;th&gt;&lt;b&gt;Item type&lt;/b&gt;&lt;/th&gt;&lt;th&gt;&lt;b&gt;Field&lt;/b&gt;&lt;/th&gt;&lt;/tr&gt; &lt;tr&gt;&lt;td&gt;Deal&lt;/td&gt;&lt;td&gt;custom_fields, notes, title&lt;/td&gt;&lt;/tr&gt; &lt;tr&gt;&lt;td&gt;Person&lt;/td&gt;&lt;td&gt;custom_fields, email, name, notes, phone&lt;/td&gt;&lt;/tr&gt; &lt;tr&gt;&lt;td&gt;Organization&lt;/td&gt;&lt;td&gt;address, custom_fields, name, notes&lt;/td&gt;&lt;/tr&gt; &lt;tr&gt;&lt;td&gt;Product&lt;/td&gt;&lt;td&gt;code, custom_fields, name&lt;/td&gt;&lt;/tr&gt; &lt;tr&gt;&lt;td&gt;Lead&lt;/td&gt;&lt;td&gt;email, organization_name, person_name, phone, title&lt;/td&gt;&lt;/tr&gt; &lt;tr&gt;&lt;td&gt;File&lt;/td&gt;&lt;td&gt;name&lt;/td&gt;&lt;/tr&gt; &lt;tr&gt;&lt;td&gt;Mail attachment&lt;/td&gt;&lt;td&gt;name&lt;/td&gt;&lt;/tr&gt; &lt;/table&gt;
  # @option opts [Boolean] :search_for_related_items When enabled, the response will include up to 100 newest related Deals for each found Person and Organization and up to 100 newest related Persons for each found Organization.
  # @option opts [Boolean] :exact_match When enabled, only full exact matches against the given term are returned. It is &lt;b&gt;not&lt;/b&gt; case sensitive.
  # @option opts [String] :include_fields A comma-separated string array. Supports including optional fields in the results which are not provided by default.
  # @option opts [Integer] :start Pagination start. Note that the pagination is based on main results and does not include related items when using search_for_related_items parameter.
  # @option opts [Integer] :limit Items shown per page
  # @return [BaseResponse]
  describe 'item_search_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
