=begin
#Pipedrive API v1

#No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The version of the OpenAPI document: 1.0.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Pipedrive::NotesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'NotesApi' do
  before do
    # run before each test
    @api_instance = Pipedrive::NotesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of NotesApi' do
    it 'should create an instance of NotesApi' do
      expect(@api_instance).to be_instance_of(Pipedrive::NotesApi)
    end
  end

  # unit tests for notes_get
  # Get all notes
  # Returns all notes.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :user_id ID of the user whose notes to fetch. If omitted, notes by all users will be returned.
  # @option opts [Integer] :deal_id ID of the deal which notes to fetch. If omitted, notes about all deals with be returned.
  # @option opts [Integer] :person_id ID of the person whose notes to fetch. If omitted, notes about all persons with be returned.
  # @option opts [Integer] :org_id ID of the organization which notes to fetch. If omitted, notes about all organizations with be returned.
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [String] :sort Field names and sorting mode separated by a comma (field_name_1 ASC, field_name_2 DESC). Only first-level field keys are supported (no nested keys). Supported fields: id, user_id, deal_id, person_id, org_id, content, add_time, update_time.
  # @option opts [Date] :start_date Date in format of YYYY-MM-DD from which notes to fetch from.
  # @option opts [Date] :end_date Date in format of YYYY-MM-DD until which notes to fetch to.
  # @option opts [NumberBoolean] :pinned_to_deal_flag If set, then results are filtered by note to deal pinning state.
  # @option opts [NumberBoolean] :pinned_to_organization_flag If set, then results are filtered by note to organization pinning state.
  # @option opts [NumberBoolean] :pinned_to_person_flag If set, then results are filtered by note to person pinning state.
  # @return [GetNotes]
  describe 'notes_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for notes_id_delete
  # Delete a note
  # Deletes a specific note.
  # @param id ID of the note
  # @param [Hash] opts the optional parameters
  # @return [DeleteNote]
  describe 'notes_id_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for notes_id_get
  # Get one note
  # Returns details about a specific note.
  # @param id ID of the note
  # @param [Hash] opts the optional parameters
  # @return [PostNote]
  describe 'notes_id_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for notes_id_put
  # Update a note
  # Updates a note.
  # @param id ID of the note
  # @param content Content of the note in HTML format. Subject to sanitization on the back-end.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :user_id ID of the user who will be marked as the author of this note. Only an admin can change the author.
  # @option opts [Integer] :deal_id ID of the deal the note will be attached to.
  # @option opts [Integer] :person_id ID of the person this note will be attached to.
  # @option opts [Integer] :org_id ID of the organization this note will be attached to.
  # @option opts [String] :add_time Optional creation date &amp; time of the Note in UTC. Can be set in the past or in the future. Requires admin user API token. Format: YYYY-MM-DD HH:MM:SS
  # @option opts [NumberBoolean] :pinned_to_deal_flag If set, then results are filtered by note to deal pinning state (deal_id is also required).
  # @option opts [NumberBoolean] :pinned_to_organization_flag If set, then results are filtered by note to organization pinning state (org_id is also required).
  # @option opts [NumberBoolean] :pinned_to_person_flag If set, then results are filtered by note to person pinning state (person_id is also required).
  # @return [PostNote]
  describe 'notes_id_put test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for notes_post
  # Add a note
  # Adds a new note.
  # @param content Content of the note in HTML format. Subject to sanitization on the back-end.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :user_id ID of the user who will be marked as the author of this note. Only an admin can change the author.
  # @option opts [Integer] :deal_id ID of the deal the note will be attached to.
  # @option opts [Integer] :person_id ID of the person this note will be attached to.
  # @option opts [Integer] :org_id ID of the organization this note will be attached to.
  # @option opts [String] :add_time Optional creation date &amp; time of the Note in UTC. Can be set in the past or in the future. Requires admin user API token. Format: YYYY-MM-DD HH:MM:SS
  # @option opts [NumberBoolean] :pinned_to_deal_flag If set, then results are filtered by note to deal pinning state (deal_id is also required).
  # @option opts [NumberBoolean] :pinned_to_organization_flag If set, then results are filtered by note to organization pinning state (org_id is also required).
  # @option opts [NumberBoolean] :pinned_to_person_flag If set, then results are filtered by note to person pinning state (person_id is also required).
  # @return [PostNote]
  describe 'notes_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
