=begin
#Pipedrive API v1

#No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The version of the OpenAPI document: 1.0.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Pipedrive::PersonsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'PersonsApi' do
  before do
    # run before each test
    @api_instance = Pipedrive::PersonsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PersonsApi' do
    it 'should create an instance of PersonsApi' do
      expect(@api_instance).to be_instance_of(Pipedrive::PersonsApi)
    end
  end

  # unit tests for persons_delete
  # Delete multiple persons in bulk
  # Marks multiple persons as deleted.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :ids Comma-separated IDs that will be deleted
  # @return [nil]
  describe 'persons_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_find_get
  # Find persons by name
  # &lt;strong&gt;This endpoint is deprecated. Please use &lt;a href&#x3D;\&quot;https://developers.pipedrive.com/docs/api/v1/#!/Persons/get_persons_search\&quot;&gt;/v1/persons/search&lt;/a&gt; or &lt;a href&#x3D;\&quot;https://developers.pipedrive.com/docs/api/v1/#!/ItemSearch/get_itemSearch\&quot;&gt;/v1/itemSearch&lt;/a&gt; instead&lt;/strong&gt;. &lt;br&gt; Searches all persons by their name.
  # @param term Search term to look for
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :org_id ID of the organization person is associated with.
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [NumberBoolean] :search_by_email When enabled, term will only be matched against email addresses of people. Default: false
  # @return [nil]
  describe 'persons_find_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_get
  # Get all persons
  # Returns all persons
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :user_id If supplied, only persons owned by the given user will be returned.
  # @option opts [Integer] :filter_id ID of the filter to use.
  # @option opts [String] :first_char If supplied, only persons whose name starts with the specified letter will be returned (case insensitive).
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [String] :sort Field names and sorting mode separated by a comma (field_name_1 ASC, field_name_2 DESC). Only first-level field keys are supported (no nested keys).
  # @return [nil]
  describe 'persons_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_activities_get
  # List activities associated with a person
  # Lists activities associated with a person.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [NumberBoolean] :done Whether the activity is done or not. 0 &#x3D; Not done, 1 &#x3D; Done. If omitted returns both Done and Not done activities.
  # @option opts [String] :exclude A comma-separated string of activity IDs to exclude from result
  # @return [nil]
  describe 'persons_id_activities_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_deals_get
  # List deals associated with a person
  # Lists deals associated with a person.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [String] :status Only fetch deals with specific status. If omitted, all not deleted deals are fetched.
  # @option opts [String] :sort Field names and sorting mode separated by a comma (field_name_1 ASC, field_name_2 DESC). Only first-level field keys are supported (no nested keys).
  # @return [nil]
  describe 'persons_id_deals_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_delete
  # Delete a person
  # Marks a person as deleted.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_files_get
  # List files attached to a person
  # Lists files associated with a person.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [NumberBoolean] :include_deleted_files When enabled, the list of files will also include deleted files. Please note that trying to download these files will not work.
  # @option opts [String] :sort Field names and sorting mode separated by a comma (field_name_1 ASC, field_name_2 DESC). Only first-level field keys are supported (no nested keys). Supported fields: id, user_id, deal_id, person_id, org_id, product_id, add_time, update_time, file_name, file_type, file_size, comment.
  # @return [nil]
  describe 'persons_id_files_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_flow_get
  # List updates about a person
  # Lists updates about a person.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [String] :all_changes Whether to show custom field updates or not. 1 &#x3D; Include custom field changes. If omitted returns changes without custom field updates.
  # @option opts [String] :items A comma-separated string for filtering out item specific updates. (Possible values - activity, plannedActivity, note, file, change, deal, follower, participant, mailMessage, mailMessageWithAttachment, invoice, activityFile, document)
  # @return [nil]
  describe 'persons_id_flow_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_followers_follower_id_delete
  # Deletes a follower from a person.
  # Delete a follower from a person
  # @param id ID of a person
  # @param follower_id ID of the follower
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_followers_follower_id_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_followers_get
  # List followers of a person
  # Lists the followers of a person.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_followers_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_followers_post
  # Add a follower to a person
  # Adds a follower to a person.
  # @param id ID of a person
  # @param user_id ID of the user
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_followers_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_get
  # Get details of a person
  # Returns details of a person. Note that this also returns some additional fields which are not present when asking for all persons. Also note that custom fields appear as long hashes in the resulting data. These hashes can be mapped against the &#39;key&#39; value of personFields.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_mail_messages_get
  # List mail messages associated with a person
  # Lists mail messages associated with a person.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @return [nil]
  describe 'persons_id_mail_messages_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_merge_put
  # Merge two persons
  # Merges a person with another person. For more information on how to merge two persons, see &lt;a href&#x3D;\&quot;https://pipedrive.readme.io/docs/merging-two-persons\&quot; target&#x3D;\&quot;_blank\&quot; rel&#x3D;\&quot;noopener noreferrer\&quot;&gt;this tutorial&lt;/a&gt;.
  # @param id ID of a person
  # @param merge_with_id The ID of the Person that will not be overwritten. This Person’s data will be prioritized in case of conflict with the other Person.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_merge_put test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_permitted_users_get
  # List permitted users
  # List users permitted to access a person
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_permitted_users_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_picture_delete
  # Delete person picture
  # Delete person picture
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'persons_id_picture_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_picture_post
  # Add person picture
  # Add a picture to a person. If a picture is already set, the old picture will be replaced. Added image (or the cropping parameters supplied with the request) should have an equal width and height and should be at least 128 pixels. GIF, JPG and PNG are accepted. All added images will be resized to 128 and 512 pixel wide squares.
  # @param id ID of a person
  # @param file One image supplied in the multipart/form-data encoding.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :crop_x X coordinate to where start cropping form (in pixels)
  # @option opts [Integer] :crop_y Y coordinate to where start cropping form (in pixels)
  # @option opts [Integer] :crop_width Width of cropping area (in pixels)
  # @option opts [Integer] :crop_height Height of cropping area (in pixels)
  # @return [nil]
  describe 'persons_id_picture_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_products_get
  # List products associated with a person
  # Lists products associated with a person.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @return [nil]
  describe 'persons_id_products_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_id_put
  # Update a person
  # Updates the properties of a person. For more information on how to update a person, see &lt;a href&#x3D;\&quot;https://pipedrive.readme.io/docs/updating-a-person\&quot; target&#x3D;\&quot;_blank\&quot; rel&#x3D;\&quot;noopener noreferrer\&quot;&gt;this tutorial&lt;/a&gt;.
  # @param id ID of a person
  # @param [Hash] opts the optional parameters
  # @option opts [BasicPerson] :basic_person 
  # @return [nil]
  describe 'persons_id_put test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_post
  # Add a person
  # Adds a new person. Note that you can supply additional custom fields along with the request that are not described here. These custom fields are different for each Pipedrive account and can be recognized by long hashes as keys. To determine which custom fields exists, fetch the personFields and look for &#39;key&#39; values.
  # @param [Hash] opts the optional parameters
  # @option opts [NewPerson] :new_person 
  # @return [nil]
  describe 'persons_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for persons_search_get
  # Search persons
  # Searches all Persons by name, email, phone, notes and/or custom fields. This endpoint is a wrapper of &lt;a href&#x3D;\&quot;https://developers.pipedrive.com/docs/api/v1/#!/ItemSearch/get_itemSearch\&quot;&gt;/v1/itemSearch&lt;/a&gt; with a narrower OAuth scope. Found Persons can be filtered by Organization ID.
  # @param term The search term to look for. Minimum 2 characters (or 1 if using exact_match).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :fields A comma-separated string array. The fields to perform the search from. Defaults to all of them.
  # @option opts [Boolean] :exact_match When enabled, only full exact matches against the given term are returned. It is &lt;b&gt;not&lt;/b&gt; case sensitive.
  # @option opts [Integer] :organization_id Will filter Deals by the provided Organization ID. The upper limit of found Deals associated with the Organization is 2000.
  # @option opts [String] :include_fields Supports including optional fields in the results which are not provided by default.
  # @option opts [Integer] :start Pagination start. Note that the pagination is based on main results and does not include related items when using search_for_related_items parameter.
  # @option opts [Integer] :limit Items shown per page
  # @return [BaseResponse]
  describe 'persons_search_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
