=begin
#Pipedrive API v1

#No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The version of the OpenAPI document: 1.0.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Pipedrive::PipelinesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'PipelinesApi' do
  before do
    # run before each test
    @api_instance = Pipedrive::PipelinesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PipelinesApi' do
    it 'should create an instance of PipelinesApi' do
      expect(@api_instance).to be_instance_of(Pipedrive::PipelinesApi)
    end
  end

  # unit tests for pipelines_get
  # Get all pipelines
  # Returns data about all pipelines
  # @param [Hash] opts the optional parameters
  # @return [GetAllPipelines]
  describe 'pipelines_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pipelines_id_conversion_statistics_get
  # Get deals conversion rates in pipeline
  # Returns all stage-to-stage conversion and pipeline-to-close rates for given time period.
  # @param id ID of the pipeline
  # @param start_date Start of the period. Date in format of YYYY-MM-DD.
  # @param end_date End of the period. Date in format of YYYY-MM-DD.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :user_id ID of the user who&#39;s pipeline metrics statistics to fetch. If omitted, the authorized user will be used.
  # @return [GetDealsConversionRatesInPipeline]
  describe 'pipelines_id_conversion_statistics_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pipelines_id_deals_get
  # Get deals in a pipeline
  # Lists deals in a specific pipeline across all its stages
  # @param id ID of the pipeline
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :filter_id If supplied, only deals matching the given filter will be returned.
  # @option opts [Integer] :user_id If supplied, filter_id will not be considered and only deals owned by the given user will be returned. If omitted, deals owned by the authorized user will be returned.
  # @option opts [NumberBoolean] :everyone If supplied, filter_id and user_id will not be considered – instead, deals owned by everyone will be returned.
  # @option opts [Integer] :stage_id If supplied, only deals within the given stage will be returned.
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [NumberBoolean] :get_summary Whether to include summary of the pipeline in the additional_data or not.
  # @option opts [String] :totals_convert_currency 3-letter currency code of any of the supported currencies. When supplied, per_stages_converted is returned inside deals_summary inside additional_data which contains the currency-converted total amounts in the given currency per each stage. You may also set this parameter to &#39;default_currency&#39; in which case users default currency is used. Only works when get_summary parameter flag is enabled.
  # @return [GetStageDeals]
  describe 'pipelines_id_deals_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pipelines_id_delete
  # Delete a pipeline
  # Marks a pipeline as deleted.
  # @param id ID of the pipeline
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse2009]
  describe 'pipelines_id_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pipelines_id_get
  # Get one pipeline
  # Returns data about a specific pipeline. Also returns the summary of the deals in this pipeline across its stages.
  # @param id ID of the pipeline
  # @param [Hash] opts the optional parameters
  # @option opts [String] :totals_convert_currency 3-letter currency code of any of the supported currencies. When supplied, per_stages_converted is returned in deals_summary which contains the currency-converted total amounts in the given currency per each stage. You may also set this parameter to &#39;default_currency&#39; in which case users default currency is used.
  # @return [GetOnePipeline]
  describe 'pipelines_id_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pipelines_id_movement_statistics_get
  # Get deals movements in pipeline
  # Returns statistics for deals movements for given time period.
  # @param id ID of the pipeline
  # @param start_date Start of the period. Date in format of YYYY-MM-DD.
  # @param end_date End of the period. Date in format of YYYY-MM-DD.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :user_id ID of the user who&#39;s pipeline statistics to fetch. If omitted, the authorized user will be used.
  # @return [GetDealsMovementsInPipeline]
  describe 'pipelines_id_movement_statistics_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pipelines_id_put
  # Edit a pipeline
  # Updates pipeline properties
  # @param id ID of the pipeline
  # @param [Hash] opts the optional parameters
  # @option opts [String] :name The name of the Pipeline
  # @option opts [NumberBoolean] :deal_probability 
  # @option opts [Integer] :order_nr Defines the order of Pipelines. First order (order_nr&#x3D;0) is the default Pipeline.
  # @option opts [NumberBoolean] :active 
  # @return [EditPipeline]
  describe 'pipelines_id_put test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for pipelines_post
  # Add a new pipeline
  # Adds a new pipeline
  # @param [Hash] opts the optional parameters
  # @option opts [String] :name The name of the Pipeline
  # @option opts [NumberBoolean] :deal_probability 
  # @option opts [Integer] :order_nr Defines the order of Pipelines. First order (order_nr&#x3D;0) is the default Pipeline.
  # @option opts [NumberBoolean] :active 
  # @return [AddNewPipeline]
  describe 'pipelines_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
