=begin
#Pipedrive API v1

#No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The version of the OpenAPI document: 1.0.0

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Pipedrive::ProductsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ProductsApi' do
  before do
    # run before each test
    @api_instance = Pipedrive::ProductsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ProductsApi' do
    it 'should create an instance of ProductsApi' do
      expect(@api_instance).to be_instance_of(Pipedrive::ProductsApi)
    end
  end

  # unit tests for products_find_get
  # Find products by name
  # &lt;strong&gt;This endpoint is deprecated. Please use &lt;a href&#x3D;\&quot;https://developers.pipedrive.com/docs/api/v1/#!/Products/get_products_search\&quot;&gt;/v1/products/search&lt;/a&gt; or &lt;a href&#x3D;\&quot;https://developers.pipedrive.com/docs/api/v1/#!/ItemSearch/get_itemSearch\&quot;&gt;/v1/itemSearch&lt;/a&gt; instead&lt;/strong&gt;. &lt;br&gt; Returns data about the products that were found. If currency was set in request, prices in that currency are served back.
  # @param term Search term to look for, minimum 3 characters.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :currency Currency code in which prices should be returned in. If omitted, prices in user&#39;s default currency will be returned.
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @return [FindProductsByNameResponse]
  describe 'products_find_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_get
  # Get all products
  # Returns data about all products.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :user_id If supplied, only products owned by the given user will be returned.
  # @option opts [Integer] :filter_id ID of the filter to use
  # @option opts [String] :first_char If supplied, only products whose name starts with the specified letter will be returned (case insensitive).
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @return [Product]
  describe 'products_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_deals_get
  # Get deals where a product is attached to
  # Returns data about deals that have a product attached to.
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [String] :status Only fetch deals with specific status. If omitted, all not deleted deals are fetched.
  # @return [BasicDeal]
  describe 'products_id_deals_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_delete
  # Delete a product
  # Marks a product as deleted.
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'products_id_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_files_get
  # List files attached to a product
  # Lists files associated with a product.
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :start Pagination start
  # @option opts [Integer] :limit Items shown per page
  # @option opts [NumberBoolean] :include_deleted_files When enabled, the list of files will also include deleted files. Please note that trying to download these files will not work.
  # @option opts [String] :sort Field names and sorting mode separated by a comma (field_name_1 ASC, field_name_2 DESC). Only first-level field keys are supported (no nested keys). Supported fields: id, user_id, deal_id, person_id, org_id, product_id, add_time, update_time, file_name, file_type, file_size, comment.
  # @return [nil]
  describe 'products_id_files_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_followers_follower_id_delete
  # Delete a follower from a product
  # Deletes a follower from a product.
  # @param id ID of the product
  # @param follower_id ID of the follower
  # @param [Hash] opts the optional parameters
  # @return [DeleteProductFollowerResponse]
  describe 'products_id_followers_follower_id_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_followers_get
  # List followers of a product
  # Lists the followers of a Product
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @return [UserIDs]
  describe 'products_id_followers_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_followers_post
  # Add a follower to a product
  # Adds a follower to a product.
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @option opts [InlineObject24] :inline_object24 
  # @return [NewFollowerResponse]
  describe 'products_id_followers_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_get
  # Get one product
  # Returns data about a specific product.
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'products_id_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_permitted_users_get
  # List permitted users
  # Lists users permitted to access a product.
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @return [UserIDs]
  describe 'products_id_permitted_users_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_id_put
  # Update a product
  # Updates product data.
  # @param id ID of the product
  # @param [Hash] opts the optional parameters
  # @option opts [Product] :product 
  # @return [Product]
  describe 'products_id_put test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_post
  # Add a product
  # Adds a new product to the products inventory. For more information on how to add a product, see &lt;a href&#x3D;\&quot;https://pipedrive.readme.io/docs/adding-a-product\&quot; target&#x3D;\&quot;_blank\&quot; rel&#x3D;\&quot;noopener noreferrer\&quot;&gt;this tutorial&lt;/a&gt;.
  # @param [Hash] opts the optional parameters
  # @option opts [UNKNOWN_BASE_TYPE] :unknown_base_type 
  # @return [nil]
  describe 'products_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for products_search_get
  # Search products
  # Searches all Products by name, code and/or custom fields. This endpoint is a wrapper of &lt;a href&#x3D;\&quot;https://developers.pipedrive.com/docs/api/v1/#!/ItemSearch/get_itemSearch\&quot;&gt;/v1/itemSearch&lt;/a&gt; with a narrower OAuth scope.
  # @param term The search term to look for. Minimum 2 characters (or 1 if using exact_match).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :fields A comma-separated string array. The fields to perform the search from. Defaults to all of them.
  # @option opts [Boolean] :exact_match When enabled, only full exact matches against the given term are returned. It is &lt;b&gt;not&lt;/b&gt; case sensitive.
  # @option opts [String] :include_fields Supports including optional fields in the results which are not provided by default.
  # @option opts [Integer] :start Pagination start. Note that the pagination is based on main results and does not include related items when using search_for_related_items parameter.
  # @option opts [Integer] :limit Items shown per page
  # @return [BaseResponse]
  describe 'products_search_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
